Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# RobotCalibration Class Reference

A class that represents the calibration of the robot. More...

`#include <RobotConfiguration.h>`

List of all members.

## Public Member Functions
| RobotCalibration ()
## Public Attributes
double | bodyTiltOffset
| the offset between the bodyTilt as delivered by the walking engine and the real bodyTilt of a particular robot.
double | bodyRollOffset
| the offset between the bodyRoll as delivered by the walking engine and the real bodyRoll of a particular robot.
double | headTiltOffset
| the offset between the headTilt2 as delivered by the walking engine and the real headRoll of a particular robot.
double | headRollOffset
| the offset between the headRoll as delivered by the walking engine and the real headRoll of a particular robot.
double | tiltFactor
| a factor the measurements of the tilt joint are scaled with.
double | panFactor
| a factor the measurements of the pan joint are scaled with.
double | tilt2Factor
| a factor the measurements of the tilt2 joint are scaled with.

## Detailed Description

A class that represents the calibration of the robot.

Author:
  Thomas Röfer

Definition at line 35 of file RobotConfiguration.h.

## Constructor & Destructor Documentation

RobotCalibration::RobotCalibration | ( |  | ) | `[inline]`

| Definition at line 63 of file RobotConfiguration.h. References bodyRollOffset, bodyTiltOffset, headRollOffset, headTiltOffset, panFactor, tilt2Factor, and tiltFactor.

## Member Data Documentation

double RobotCalibration::bodyTiltOffset

| the offset between the bodyTilt as delivered by the walking engine and the real bodyTilt of a particular robot. Definition at line 40 of file RobotConfiguration.h. Referenced by Kinematics::calculateCameraMatrix(), InvKinWalkingEngine::executeParameterized(), GT2005WalkingEngine::executeParameterized(), GT2004WalkingEngine::executeParameterized(), RobotConfiguration::handleMessage(), RobotConfiguration::load(), and RobotCalibration().

double RobotCalibration::bodyRollOffset

| the offset between the bodyRoll as delivered by the walking engine and the real bodyRoll of a particular robot. Definition at line 44 of file RobotConfiguration.h. Referenced by Kinematics::calculateCameraMatrix(), RobotConfiguration::handleMessage(), RobotConfiguration::load(), and RobotCalibration().

double RobotCalibration::headTiltOffset

| the offset between the headTilt2 as delivered by the walking engine and the real headRoll of a particular robot. Definition at line 48 of file RobotConfiguration.h. Referenced by Kinematics::calculateCameraMatrix(), RobotConfiguration::handleMessage(), RobotConfiguration::load(), and RobotCalibration().

double RobotCalibration::headRollOffset

| the offset between the headRoll as delivered by the walking engine and the real headRoll of a particular robot. Definition at line 52 of file RobotConfiguration.h. Referenced by Kinematics::calculateCameraMatrix(), RobotConfiguration::handleMessage(), RobotConfiguration::load(), and RobotCalibration().

double RobotCalibration::tiltFactor

| a factor the measurements of the tilt joint are scaled with. Definition at line 55 of file RobotConfiguration.h. Referenced by Kinematics::calculateCameraMatrix(), RobotConfiguration::handleMessage(), RobotConfiguration::load(), and RobotCalibration().

double RobotCalibration::panFactor

| a factor the measurements of the pan joint are scaled with. Definition at line 58 of file RobotConfiguration.h. Referenced by Kinematics::calculateCameraMatrix(), RobotConfiguration::handleMessage(), RobotConfiguration::load(), and RobotCalibration().

double RobotCalibration::tilt2Factor

| a factor the measurements of the tilt2 joint are scaled with. Definition at line 61 of file RobotConfiguration.h. Referenced by Kinematics::calculateCameraMatrix(), RobotConfiguration::handleMessage(), RobotConfiguration::load(), and RobotCalibration().

The documentation for this class was generated from the following file:

- Tools/RobotConfiguration.h